Net::Hotline::User(3pm)

NAME
Net::Hotline::User - User object used internally by Net::Hotline::Client

SYNOPSIS
    use Net::Hotline::User;

    $user = new Net::Hotline::User;
    $user->nick("joe blow");
    $user->icon(128);

    print "Nick: ", $user->nick(), "\n";
    ...

DESCRIPTION
Net::Hotline::User is a simple class for storing and retrieving user information, You should never have to create your own Net::Hotline::User objects when using Net::Hotline::Client. Getting and setting attributes is all that should be necessary.

CONSTRUCTION

new SOCKET, NICK, LOGIN, ICON, COLOR
    With no arguments, creates a new Net::Hotline::User object with all attributes set to undef. The other option is to supply exactly 5 arguments as listed above.

METHODS
All the Net::Hotline::User methods are simple attribute get/set routines. If given an argument, they set an attribute. In all cases, they return the current value of the attribute.

color NUMBER
    The color of the user in the userlist. Values are numbers from 0 to 3. The hash HTLC_COLORS defined in Net::Hotline::Constants contains number to name color mappings (i.e. $HTLC_COLORS{2} is "red"). Example:

            use Net::Hotline::Constants qw(HTLC_COLORS);
            ...
            print $user->nick(), " is ", $HTLC_COLORS{$user->color()}, "\n";

icon NUMBER
    The user's icon number. Negative values are accepted.

info TEXT
    User information as a block of "pretty-formatted" text.

login TEXT
    The user's login name.

nick TEXT
    The user's nickname in the userlist.

socket NUMBER
    The user's unique socket number. User's are assigned a socket number whenthey connect to a Hotline server.

AUTHOR
John C. Siracusa (siracusa@mindspring.com)

COPYRIGHT
Copyright(c) 1999 by John Siracusa. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.